androidStudio使用fragmentTabHost报错

图片说明
具体如图,什么原因导致的?朋友这样写却能正常运行
tabhost requires a tabwidget with id "android:id/tabs".,我并没有使用tabWidget控件,另外,这是fragmetnTabHost,不是tabHost

2个回答

id属性不对,看看你上面的id是怎么写的

把tabHost里面的内容改成如下形式:

android:id="@android:id/tabs"
android:layout_width="fill_parent"
android:layout_height="wrap_content" >

    <FrameLayout
        android:id="@android:id/tabcontent"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="fill" >
    </FrameLayout>
HYDMonster
HYDMonster 回复yy89576041: 请问楼主解决了吗
大约一年之前 回复
chenbaige
legendCoder 回复yy89576041: 你重新按照这个写一下试试:http://blog.csdn.net/yangyu20121224/article/details/9016223和as的配置没有关系,只要你导入了正确的包,就是可以用的。
接近 3 年之前 回复
yy89576041
yy89576041 朋友那样写可以运行,但是我这却不行,是AS有什么配置不对吗,你说的我改了尝试了,没用
接近 3 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问